Unity Editor 现在正式可用于 Linux

如果您是设计师、开发人员或艺术家,您可能一直在使用实验性的 统一编辑器 可用于 Linux。 然而,实验版本不会永远削减它 – 开发人员需要完整的稳定体验才能工作。

因此,他们最近宣布您可以在 Linux 上访问成熟的 Unity 编辑器。

虽然这是一个令人兴奋的消息,但它正式支持什么 Linux 发行版? 让我们再谈谈一些细节……

非 FOSS 警报

Linux(或任何其他平台)上的 Unity Editor 不是开源软件。 我们在这里介绍了它,因为

对 Ubuntu 和 CentOS 7 的官方支持

无论您拥有个人许可证还是专业许可证,只要安装了 Unity 2019.1 或更高版本,都可以访问编辑器。

此外,他们正在优先支持 Ubuntu 16.04、Ubuntu 18.04 和 CentOS 7。

在他们的 公告贴,他们还提到了支持的配置:

  • x86-64 架构
  • 运行在 X11 窗口系统之上的 Gnome 桌面环境
  • Nvidia 官方专有显卡驱动和 AMD Mesa 显卡驱动
  • 桌面外形,在没有仿真或兼容层的设备/硬件上运行

您可以随时尝试其他任何东西 – 但最好坚持官方要求以获得最佳体验。

关于第 3 方工具的说明

如果您碰巧在您的任何项目中使用任何 3rd 方工具,则必须单独检查它们是否支持它。

怎样在 Linux 上安装 Unity 编辑器

既然你知道了——你怎样安装它?

要安装 Unity,您必须下载并安装 统一中心.

统一中心

让我们带您完成以下步骤:

  • 从以下位置下载适用于 Linux 的 Unity Hub 官方论坛页面.
  • 它将下载一个 AppImage 文件。 简单地说,让它可执行并运行它。 如果您不知道,您应该查看我们关于怎样在 Linux 上使用 AppImage 的指南。
  • 启动 Unity Hub 后,它会要求您使用 Unity ID 登录(或注册)以激活许可证。 有关许可证怎样工作的更多信息,请参阅他们的 常见问题页面.
  • 使用 Unity ID 登录后,转到“安装”选项(如上图所示)并添加所需的版本/组件。

而已! 这是获取所有最新版本并立即安装的最佳方式。

总结

尽管这是一个令人兴奋的消息,但官方配置支持似乎并不是一个广泛的列表。 如果您在 Linux 上使用它,请分享您的反馈和意见 他们的 Linux 论坛帖子.

你怎么看? 另外,您是使用 Unity Hub 安装它还是我们错过了更好的安装方法?

在下面的评测中让我们知道您的想法。